#if !defined(AFX_SHOWRESULTSDLG_H__D2AEB55B_F459_48E8_A697_AC91F7B34B52__INCLUDED_)
#define AFX_SHOWRESULTSDLG_H__D2AEB55B_F459_48E8_A697_AC91F7B34B52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowResultsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ShowResultsDlg dialog

class ShowResultsDlg : public CDialog
{
public:
	enum ShowModeEnum {
		SM_SHOW_BATCH_COMMANDS = 0,
		SM_DO_RENAME_OPERATION,
		SM_MAX};

	static const TCHAR * kShowModeNames[SM_MAX];

	void AppendText (LPCTSTR NewText);
	void AddFileName (const TCHAR *PathName, const TCHAR *CameraName, CTimeSpan DeltaTime);

// Construction
	ShowResultsDlg(ShowModeEnum ShowMode, CWnd* pParent = NULL);
	virtual ~ShowResultsDlg();

// Dialog Data
	//{{AFX_DATA(ShowResultsDlg)
	enum { IDD = IDD_SHOWRESULTS_DIALOG };
	CString	m_ResultString;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ShowResultsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	ShowModeEnum m_ShowMode;
	UINT m_TimerHandle;
	unsigned int m_FilesAdded;
	unsigned int m_FilesProcessed;

	class CFileToRedate
	{
	public:
		CString m_PathName;
		CString m_CameraName;
		CTimeSpan m_DeltaTime;
	};

	CList<CFileToRedate, CFileToRedate&> m_FileNamesList;

	void ProcessOneFile(CFileToRedate &FileInfo);

	// Generated message map functions
	//{{AFX_MSG(ShowResultsDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWRESULTSDLG_H__D2AEB55B_F459_48E8_A697_AC91F7B34B52__INCLUDED_)
